<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:i="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">


<h:head>
    <title>Start</title>
</h:head>

<h:body>
    <h:form>
        <p:growl id="msgs" showDetail="true" skipDetailIfEqualsSummary="true" />

        <p:panel header="Select the type of user you want to create" style="margin-bottom:10px;">
            <h:panelGrid columns="2" cellpadding="5">
                <p:outputLabel for="country" ><h4 style="margin-top:0">Position:</h4> </p:outputLabel>
                <p:selectOneMenu id="country" value="#{adminController.position}" style="width:150px">
                    <f:selectItem itemLabel="Select Position" itemValue="" noSelectionOption="true" />
                    <f:selectItems value="#{adminController.positions}" />
                </p:selectOneMenu>
            </h:panelGrid>

            <h:form>
                <h4 style="margin-top:0">Name: <h:inputText value="#{adminController.name}" /></h4>
                <h4 style="margin-top:0">Surname: <h:inputText value="#{adminController.surName}" /></h4>
                <h4 style="margin-top:0">Password: <h:inputText value="#{adminController.password}" /></h4>

            </h:form>
            <p:separator />

            <p:commandButton value="Submit" update="msgs" action="#{adminController.createUser}" icon="pi pi-check" />
            <p:separator />
            <p:commandButton value="Table of Users" update="msgs" action="#{adminController.seeTableOfUsers}" icon="pi pi-check" />
        </p:panel>
    </h:form>


</h:body>

</html>